---
title: "Display a message to the user"
tags:
- action
- core
- core action unknown
---
# Display a message to the user

Available since: unknown



{!include/plugins/core/action/action_message_action.md!}

## Fields

`Message`

:   The message to be displayed to the current user. You may include placeholders like [node:title], [user:account-name], [user:display-name] and [comment:body] to represent data that will be different each time message is sent. Not all placeholders will be available in all contexts.

    {!include/plugins/core/action/action_message_action/message.md!}

`Replace tokens`

:   When enabled, tokens will be replaced <em>before</em> executing the action. <strong>Please note:</strong> Actions might already take care of replacing tokens on their own. Therefore, use this option only with care and when it makes sense.

    {!include/plugins/core/action/action_message_action/replace_tokens.md!}
