---
title: "List: add item"
tags:
- action
- eca_base
- eca action 1.1.0
---
# List: add item

Available since: 1.1.0

Add an item to a list using a specified token.

{!include/plugins/eca_base/action/eca_list_add.md!}

## Fields

`Value to add`

:   <br/>This field supports tokens.

    {!include/plugins/eca_base/action/eca_list_add/value.md!}

`Method`

:   Options of the specific method to add a value to a list.<br/>When using the "Defined by token" option, make sure there is a token with this name: <em>eca_list_add_method</em>

    {!include/plugins/eca_base/action/eca_list_add/method.md!}

`Index key`

:   When using the method <em>Set by specified index</em>, then an index key must be specified here.<br/>This field supports tokens.

    {!include/plugins/eca_base/action/eca_list_add/index.md!}

`Token containing the list`

:   Provide the name of the token that contains a list of items. If the list does not exist yet, a new one will be created. Please provide the token name only, without brackets.

    {!include/plugins/eca_base/action/eca_list_add/list_token.md!}
