---
title: "Cache Raw: read"
tags:
- action
- eca_cache
- eca action 2.0.0
---
# Cache Raw: read

Available since: 2.0.0

Read a value item from raw cache and store it as a token.

{!include/plugins/eca_cache/action/eca_raw_cache_read.md!}

## Fields

`Name of token`

:   The cache item value will be loaded into this specified token. Please provide the token name only, without brackets.

    {!include/plugins/eca_cache/action/eca_raw_cache_read/token_name.md!}

`Cache backend`

:   <br/>When using the "Defined by token" option, make sure there is a token with this name: <em>eca_raw_cache_read_backend</em>

    {!include/plugins/eca_cache/action/eca_raw_cache_read/backend.md!}

`Cache key`

:   The cache key is a unique machine name and identifies the cache item.<br/>This field supports tokens.

    {!include/plugins/eca_cache/action/eca_raw_cache_read/key.md!}
