---
title: "Entity: compare"
tags:
- action
- eca_content
- eca action 2.0.0
---
# Entity: compare

Available since: 2.0.0

Compare 2 entities and return a list of fields that differ

{!include/plugins/eca_content/action/eca_diff_entity.md!}

## Fields

`Return values`

:   If checked, the list will return values. If unchecked, it will only return the machine names of changed fields.

    {!include/plugins/eca_content/action/eca_diff_entity/return_values.md!}

`Name of token`

:   Provide the name of a token that holds the result list. Please provide the token name only, without brackets.

    {!include/plugins/eca_content/action/eca_diff_entity/token_name.md!}

`compare_token_name`

:   Provide the name of a token that holds the original entity. Please provide the token name only, without brackets.

    {!include/plugins/eca_content/action/eca_diff_entity/compare_token_name.md!}

`Exclude fields`

:   List machine names of fields that should be ignored. Provide 1 name per line.

    {!include/plugins/eca_content/action/eca_diff_entity/exclude_fields.md!}

`Include fields`

:   List machine names of fields that should be considered for comparison. Provide 1 name per line. Leave this field empty to include all fields, except for the excluded fields.

    {!include/plugins/eca_content/action/eca_diff_entity/include_fields.md!}

`Entity`

:   Provide the token name of the <em class="placeholder">entity</em> that this action should operate with. Please provide the token name only, without brackets.

    {!include/plugins/eca_content/action/eca_diff_entity/object.md!}
