---
title: "Form field: set as required"
tags:
- action
- eca_form
- eca action 1.0.0
---
# Form field: set as required

Available since: 1.0.0

Set a form field as required.

{!include/plugins/eca_form/action/eca_form_field_require.md!}

## Fields

`Set as required`

:   

    {!include/plugins/eca_form/action/eca_form_field_require/flag.md!}

`Field name`

:   The input name of the form field. This is mostly found in the "name" attribute of an &lt;input&gt; form element. <em>For submit buttons within content forms:</em> Use "submit" for the labeled "Save" button, and "preview" for the labeled "Preview" button.<br/>This field supports tokens.

    {!include/plugins/eca_form/action/eca_form_field_require/field_name.md!}
