---
title: "Form field: set label"
tags:
- action
- eca_form
- eca action 2.1.0
---
# Form field: set label

Available since: 2.1.0

Defines label on a form field or element.

{!include/plugins/eca_form/action/eca_form_field_set_label.md!}

## Fields

`Element label`

:   The label of the form field or element.<br/>This field supports tokens.

    {!include/plugins/eca_form/action/eca_form_field_set_label/label.md!}

`Field name`

:   The input name of the form field. This is mostly found in the "name" attribute of an &lt;input&gt; form element. <em>For submit buttons within content forms:</em> Use "submit" for the labeled "Save" button, and "preview" for the labeled "Preview" button.<br/>This field supports tokens.

    {!include/plugins/eca_form/action/eca_form_field_set_label/field_name.md!}
