---
title: "Form state: get property value"
tags:
- action
- eca_form
- eca action 1.0.0
---
# Form state: get property value

Available since: 1.0.0

Get a property value of the current form state in scope and set it as a token.

{!include/plugins/eca_form/action/eca_form_state_get_property_value.md!}

## Fields

`Name of token`

:   The name of the token the property value should be stored into. Please provide the token name only, without brackets.

    {!include/plugins/eca_form/action/eca_form_state_get_property_value/token_name.md!}

`Name of property`

:   Nested properties are supported by using dot notation. Example: <em>level1.level2</em>

    {!include/plugins/eca_form/action/eca_form_state_get_property_value/property_name.md!}
