---
title: " Repositories: get Commit Build Status"
tags:
- action
- eca_gitlab_api
- gitlab_api action 2.3.0
---
#  Repositories: get Commit Build Status

Available since: 2.3.0



{!include/plugins/eca_gitlab_api/action/eca_gitlab_api_command_repositories_getcommitbuildstatus.md!}

## Fields

`GitLab Instance`

:   <br/>When using the "Defined by token" option, make sure there is a token with this name: <em>eca_gitlab_api_command:repositories_getcommitbuildstatus_gitlab</em>

    {!include/plugins/eca_gitlab_api/action/eca_gitlab_api_command_repositories_getcommitbuildstatus/gitlab.md!}

`Name of token`

:   The result of the API call will be stored in this token. Please provide the token name only, without brackets.

    {!include/plugins/eca_gitlab_api/action/eca_gitlab_api_command_repositories_getcommitbuildstatus/token_name.md!}

`Project Id`

:   <br/>This field supports tokens.

    {!include/plugins/eca_gitlab_api/action/eca_gitlab_api_command_repositories_getcommitbuildstatus/api_project_id.md!}

`Sha`

:   <br/>This field supports tokens.

    {!include/plugins/eca_gitlab_api/action/eca_gitlab_api_command_repositories_getcommitbuildstatus/api_sha.md!}

`Params`

:   Provide a YAML array.<br/>This field supports tokens.

    {!include/plugins/eca_gitlab_api/action/eca_gitlab_api_command_repositories_getcommitbuildstatus/api_params.md!}
