---
title: "ECA Helper: Form field get value"
tags:
- action
- eca_helper
- eca_helper action unknown
---
# ECA Helper: Form field get value

Available since: unknown

Get form field value.

{!include/plugins/eca_helper/action/eca_helper_form_field_get_value.md!}

## Fields

`Element key`

:   The element key to get value for the form element. Example #title, #attributes.class<br/>This field supports tokens.

    {!include/plugins/eca_helper/action/eca_helper_form_field_get_value/key.md!}

`Name of response token`

:   The response value will be loaded into this specified token. Please provide the token name only, without brackets.

    {!include/plugins/eca_helper/action/eca_helper_form_field_get_value/token_name.md!}

`Field name`

:   The input name of the form field. This is mostly found in the "name" attribute of an &lt;input&gt; form element. <em>For submit buttons within content forms:</em> Use "submit" for the labeled "Save" button, and "preview" for the labeled "Preview" button. Use <em>!!form</em> for the current form instead of form element.<br/>This field supports tokens.

    {!include/plugins/eca_helper/action/eca_helper_form_field_get_value/field_name.md!}
