---
title: "ECA Helper: Preprocess"
tags:
- event
- eca_helper
- eca_helper event unknown
---
# ECA Helper: Preprocess

Available since: unknown



!!! tip "Provided tokens"

    | Token | Description |
    | ----- | ----------- |
    | `[event]` | The event. |
    | `[event:machine_name]` | The machine name of the ECA event. |
    | `[session_user]` | The user account that dispatched the event, regardless if ECA is processing models under a different account. This is only available if ECA is configured to always run under a specific account. |

{!include/plugins/eca_helper/event/eca_helper_preprocess_hook_preprocess.md!}

## Fields

This event provides tokens: &quot;[hook]&quot; the preprocess hook id to identify.
