---
title: "Tamper: Country to ISO code"
tags:
- condition
- eca_tamper
- eca_tamper condition 1.0.0
---
# Tamper: Country to ISO code

Available since: 1.0.0

Converts this field from a country name string to the two character ISO 3166-1 alpha-2 code.

{!include/plugins/eca_tamper/condition/eca_tamper_condition_country_to_code.md!}

## Fields

`Comparison operator`

:   The available comparison operators like <em>equals</em> or <em>less than</em>.<br/>When using the "Defined by token" option, make sure there is a token with this name: <em>eca_tamper_condition:country_to_code_operator</em>

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_country_to_code/operator.md!}

`Comparison type`

:   The type of the comparison.<br/>When using the "Defined by token" option, make sure there is a token with this name: <em>eca_tamper_condition:country_to_code_type</em>

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_country_to_code/type.md!}

`Case sensitive comparison`

:   Compare the values based on case sensitivity.

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_country_to_code/case.md!}

`Negate the condition`

:   Negates the condition. Makes TRUE to FALSE and vice versa.

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_country_to_code/negate.md!}

`Data to be tampered`

:   

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_country_to_code/left.md!}

`Data to compare with`

:   

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_country_to_code/right.md!}
