---
title: "Tamper: Math"
tags:
- condition
- eca_tamper
- eca_tamper condition 1.0.0
---
# Tamper: Math

Available since: 1.0.0

Performs basic mathematical calculations on the imported value.

{!include/plugins/eca_tamper/condition/eca_tamper_condition_math.md!}

## Fields

`Comparison operator`

:   The available comparison operators like <em>equals</em> or <em>less than</em>.<br/>When using the "Defined by token" option, make sure there is a token with this name: <em>eca_tamper_condition:math_operator</em>

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_math/operator.md!}

`Comparison type`

:   The type of the comparison.<br/>When using the "Defined by token" option, make sure there is a token with this name: <em>eca_tamper_condition:math_type</em>

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_math/type.md!}

`Case sensitive comparison`

:   Compare the values based on case sensitivity.

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_math/case.md!}

`Negate the condition`

:   Negates the condition. Makes TRUE to FALSE and vice versa.

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_math/negate.md!}

`Operation`

:   The operation to apply to the imported value.

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_math/operation.md!}

`Flip`

:   Normally, the feed item will be processed like input-value / setting-value. This option switches the order so that it is setting-value / input-value.

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_math/flip.md!}

`Value`

:   A numerical value.

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_math/value.md!}

`Data to be tampered`

:   

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_math/left.md!}

`Data to compare with`

:   

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_math/right.md!}
