---
title: "Tamper: Format a number"
tags:
- condition
- eca_tamper
- eca_tamper condition 1.0.0
---
# Tamper: Format a number

Available since: 1.0.0

Format a number.

{!include/plugins/eca_tamper/condition/eca_tamper_condition_number_format.md!}

## Fields

`Comparison operator`

:   The available comparison operators like <em>equals</em> or <em>less than</em>.<br/>When using the "Defined by token" option, make sure there is a token with this name: <em>eca_tamper_condition:number_format_operator</em>

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_number_format/operator.md!}

`Comparison type`

:   The type of the comparison.<br/>When using the "Defined by token" option, make sure there is a token with this name: <em>eca_tamper_condition:number_format_type</em>

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_number_format/type.md!}

`Case sensitive comparison`

:   Compare the values based on case sensitivity.

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_number_format/case.md!}

`Negate the condition`

:   Negates the condition. Makes TRUE to FALSE and vice versa.

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_number_format/negate.md!}

`Decimals`

:   The number of decimal places.

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_number_format/decimals.md!}

`Decimal point`

:   The character to use as the decimal point.

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_number_format/dec_point.md!}

`Thousands separator`

:   The character to use as the thousands separator.

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_number_format/thousands_sep.md!}

`Data to be tampered`

:   

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_number_format/left.md!}

`Data to compare with`

:   

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_number_format/right.md!}
