---
title: "Tamper: Get number of words"
tags:
- condition
- eca_tamper
- eca_tamper condition 1.0.0
---
# Tamper: Get number of words

Available since: 1.0.0

Get the number of words in a string

{!include/plugins/eca_tamper/condition/eca_tamper_condition_word_count.md!}

## Fields

`Comparison operator`

:   The available comparison operators like <em>equals</em> or <em>less than</em>.<br/>When using the "Defined by token" option, make sure there is a token with this name: <em>eca_tamper_condition:word_count_operator</em>

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_word_count/operator.md!}

`Comparison type`

:   The type of the comparison.<br/>When using the "Defined by token" option, make sure there is a token with this name: <em>eca_tamper_condition:word_count_type</em>

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_word_count/type.md!}

`Case sensitive comparison`

:   Compare the values based on case sensitivity.

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_word_count/case.md!}

`Negate the condition`

:   Negates the condition. Makes TRUE to FALSE and vice versa.

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_word_count/negate.md!}

`Limit`

:   If limit is set and positive, the returned items will contain a maximum of limit with the last item containing the rest of string. If limit is negative, all components except the last -limit are returned. If the limit parameter is zero, then this is treated as 1. If limit is not set, then there will be no limit on the number of items returned.

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_word_count/limit.md!}

`Data to be tampered`

:   

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_word_count/left.md!}

`Data to compare with`

:   

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_word_count/right.md!}
