---
title: "User: create new"
tags:
- action
- eca_user
- eca action 2.0.0
---
# User: create new

Available since: 2.0.0

Create a new user without saving it.

{!include/plugins/eca_user/action/eca_new_user.md!}

## Fields

`Name of token`

:   Provide the name of a token that holds the new user. Please provide the token name only, without brackets.

    {!include/plugins/eca_user/action/eca_new_user/token_name.md!}

`User name`

:   The user name of the new user. If that name already exists, a hyphen followed by a number will be appended.

    {!include/plugins/eca_user/action/eca_new_user/name.md!}

`Email address`

:   The email address of the new user. If that email already exists for another user, this action will fail.

    {!include/plugins/eca_user/action/eca_new_user/mail.md!}

`Status`

:   Whether the user should be active or not.

    {!include/plugins/eca_user/action/eca_new_user/status.md!}

`Entity`

:   Provide the token name of the <em class="placeholder">user</em> that this action should operate with. Please provide the token name only, without brackets.

    {!include/plugins/eca_user/action/eca_new_user/object.md!}
