---
title: "Alter element configuration form"
tags:
- event
- eca_webform
- eca_webform event 1.0.0
---
# Alter element configuration form

Available since: 1.0.0



!!! tip "Provided tokens"

    | Token | Description |
    | ----- | ----------- |
    | `[form]` | The current form.<br /> Alias: `current_form` |
    | `[form:id]` | The form ID. |
    | `[form:base_id]` | The form base ID. |
    | `[form:operation]` | The form operation. |
    | `[form:mode]` | The form mode. |
    | `[form:triggered]` | The form field name that triggered the form event. |
    | `[form:values]` |  |
    | `[form:values:FIELD_NAME]` | The field value for each of the named fields. |
    | `[form:num_errors]` | The number of form errors. |
    | `[event]` | The event. |
    | `[event:webform]` | The webform. |
    | `[event:webform:access_rules]` | The access rules. |
    | `[event:webform:form]` | The form array. |
    | `[event:webform:form_state]` | The form state object. |
    | `[event]` | The event. |
    | `[event:machine_name]` | The machine name of the ECA event. |
    | `[session_user]` | The user account that dispatched the event, regardless if ECA is processing models under a different account. This is only available if ECA is configured to always run under a specific account. |

{!include/plugins/eca_webform/event/webform_element_configuration_form_alter.md!}

