---
title: "Group: add content"
tags:
- action
- group_action
- group_action action unknown
---
# Group: add content

Available since: unknown



{!include/plugins/group_action/action/group_add_content.md!}

## Fields

`Type of group content`

:   

    {!include/plugins/group_action/action/group_add_content/content_plugin.md!}

`Group ID / UUID`

:   The numerical or universally unique ID of the group. This field supports tokens.

    {!include/plugins/group_action/action/group_add_content/group_id.md!}

`Entity ID / UUID`

:   The entity ID. Supports tokens. Leave blank to use the entity this action will operate on.

    {!include/plugins/group_action/action/group_add_content/entity_id.md!}

`Group content values`

:   A key-value list of raw field values to set for the Group content. Supports tokens. Set one value per line. Example:<em><br/>field_mynumber: 1<br/>group_roles: mygroup-myrole1<br/>group_roles: mygroup-myrole2</em>

    {!include/plugins/group_action/action/group_add_content/values.md!}

`How to add`

:   

    {!include/plugins/group_action/action/group_add_content/add_method.md!}

`Entity`

:   Provide the token name of the <em class="placeholder">node</em> that this action should operate with. Please provide the token name only, without brackets.

    {!include/plugins/group_action/action/group_add_content/object.md!}

`Replace tokens`

:   When enabled, tokens will be replaced <em>before</em> executing the action. <strong>Please note:</strong> Actions might already take care of replacing tokens on their own. Therefore, use this option only with care and when it makes sense.

    {!include/plugins/group_action/action/group_add_content/replace_tokens.md!}
