---
title: "List: compare items"
tags:
- action
- eca_base
- eca action unknown
---
# List: compare items

Available since: unknown

Compares the items in two simple lists (contained in tokens), returning the array of results.

{!include/plugins/eca_base/action/eca_list_compare.md!}

## Fields

`Token containing the secondary list`

:   Provide the name of the token that contains the secondary list in the comparison. Please provide the token name only, without brackets.

    {!include/plugins/eca_base/action/eca_list_compare/secondary_list_token.md!}

`Array Function`

:   Returns an array of items found by the <a href="https://www.php.net/manual/en/ref.array.php">Array Function</a> selected.

    {!include/plugins/eca_base/action/eca_list_compare/method.md!}

`Name of result token`

:   Provide the name of a new token where the resulting array should be stored. Please provide the token name only, without brackets.

    {!include/plugins/eca_base/action/eca_list_compare/result_token_name.md!}

`Token containing the primary list`

:   Provide the name of the token that contains the primary list in the comparison. Please provide the token name only, without brackets.

    {!include/plugins/eca_base/action/eca_list_compare/list_token.md!}
