---
title: "Persistent state: read"
tags:
- action
- eca_base
- eca action 1.1.0
---
# Persistent state: read

Available since: 1.1.0

Reads a value from the Drupal state by the given key. The result is stored in a token.

{!include/plugins/eca_base/action/eca_state_read.md!}

## Fields

`State key`

:   The key of the Drupal state.<br/>This field supports tokens.

    {!include/plugins/eca_base/action/eca_state_read/key.md!}

`Name of token`

:   The name of the token, the value is stored into. Please provide the token name only, without brackets.

    {!include/plugins/eca_base/action/eca_state_read/token_name.md!}
