---
title: "Cart: An entity was added to the cart"
tags:
- event
- eca_commerce
- eca_commerce event 1.0.0
---
# Cart: An entity was added to the cart

Available since: 1.0.0



!!! tip "Provided tokens"

    | Token | Description |
    | ----- | ----------- |
    | `[cart]` | The cart entity. |
    | `[commerce_order_item]` | The order item entity. |
    | `[entity]` | This is a purchasable entity. |
    | `[quantity]` | A float of the quantity. |
    | `[event]` | The event. |
    | `[event:machine_name]` | The machine name of the ECA event. |
    | `[session_user]` | The user account that dispatched the event, regardless if ECA is processing models under a different account. |

{!include/plugins/eca_commerce/event/eca_commerce_cart_entity_add.md!}

