---
title: "Validate content entity"
tags:
- event
- eca_content
- eca event 2.1.0
---
# Validate content entity

Available since: 2.1.0

When an entity is undergoing validation.

!!! tip "Provided tokens"

    | Token | Description |
    | ----- | ----------- |
    | `[event]` | The event. |
    | `[event:machine_name]` | The machine name of the ECA event. |
    | `[session_user]` | The user account that dispatched the event, regardless if ECA is processing models under a different account. This is only available if ECA is configured to always run under a specific account. |
    | `[entity]` | The entity of the event. |
    | `[ENTITY_TYPE]` | The entity of the event under the name of its entity type. |

{!include/plugins/eca_content/event/content_entity_validate.md!}

## Fields

`Type (and bundle)`

:   

    {!include/plugins/eca_content/event/content_entity_validate/type.md!}
