---
title: "Ajax Response: set data attribute"
tags:
- action
- eca_endpoint
- eca action 2.0.0
---
# Ajax Response: set data attribute

Available since: 2.0.0



{!include/plugins/eca_endpoint/action/eca_endpoint_set_ajax_response_data.md!}

## Fields

`Selector`

:   A CSS selector for the elements to which the data will be attached.<br/>This field supports tokens.

    {!include/plugins/eca_endpoint/action/eca_endpoint_set_ajax_response_data/selector.md!}

`Name`

:   The key of the data to be attached to elements matched by the selector.<br/>This field supports tokens.

    {!include/plugins/eca_endpoint/action/eca_endpoint_set_ajax_response_data/name.md!}

`Value`

:   The value of the data to be attached to elements matched by the selector.<br/>This field supports tokens.

    {!include/plugins/eca_endpoint/action/eca_endpoint_set_ajax_response_data/value.md!}
