---
title: "Ajax Response: set message"
tags:
- action
- eca_endpoint
- eca action 2.0.0
---
# Ajax Response: set message

Available since: 2.0.0



{!include/plugins/eca_endpoint/action/eca_endpoint_set_ajax_response_message.md!}

## Fields

`Type`

:   The message type.<br/>When using the "Defined by token" option, make sure there is a token with this name: <em>eca_endpoint_set_ajax_response_message_type</em>

    {!include/plugins/eca_endpoint/action/eca_endpoint_set_ajax_response_message/type.md!}

`Message`

:   The message returned to the ajax response.<br/>This field supports tokens.

    {!include/plugins/eca_endpoint/action/eca_endpoint_set_ajax_response_message/message.md!}

`Wrapper Selector`

:   The CSS selector for the wrapper for messages. Leave empty to use defaults.<br/>This field supports tokens.

    {!include/plugins/eca_endpoint/action/eca_endpoint_set_ajax_response_message/wrapper.md!}

`ID`

:   The message ID, it can be a simple value or several values separated by a space which can be used as an explicit selector for a message.<br/>This field supports tokens.

    {!include/plugins/eca_endpoint/action/eca_endpoint_set_ajax_response_message/id.md!}

`Announce`

:   The CSS selector for the wrapper for messages. Leave empty to use defaults.<br/>This field supports tokens.

    {!include/plugins/eca_endpoint/action/eca_endpoint_set_ajax_response_message/announce.md!}

`Announce priority`

:   The priority that will be used for the announcement. Defaults to empty/unset which will not set a priority in the response sent to the client and therefore the default of polite will be used for the message.<br/>This field supports tokens.

    {!include/plugins/eca_endpoint/action/eca_endpoint_set_ajax_response_message/priority.md!}

`Clear previous messages`

:   If TRUE, previous messages will be cleared first.

    {!include/plugins/eca_endpoint/action/eca_endpoint_set_ajax_response_message/clear.md!}
