---
title: "Flag: get flagging for entity"
tags:
- action
- eca_flag
- eca_flag action 1.0.0
---
# Flag: get flagging for entity

Available since: 1.0.0

Get a flagging for a content entity.

{!include/plugins/eca_flag/action/eca_flag_get_flagging.md!}

## Fields

`Name of flag`

:   Provide the name of a flag.<br/>When using the "Defined by token" option, make sure there is a token with this name: <em>eca_flag_get_flagging_flag_name</em>

    {!include/plugins/eca_flag/action/eca_flag_get_flagging/flag_name.md!}

`Name of token`

:   Provide the name of a token that holds the loaded entity.

    {!include/plugins/eca_flag/action/eca_flag_get_flagging/token_name.md!}

`Entity`

:   Provide the token name of the <em class="placeholder">entity</em> that this action should operate with. Please provide the token name only, without brackets.

    {!include/plugins/eca_flag/action/eca_flag_get_flagging/object.md!}
