---
title: "Flag: entity flagged"
tags:
- condition
- eca_flag
- eca_flag condition 1.0.0
---
# Flag: entity flagged

Available since: 1.0.0

Performs a lookup whether an entity is flagged.

{!include/plugins/eca_flag/condition/eca_flag_entity_is_flagged.md!}

## Fields

`Name of flag`

:   Provide the name of a flag.

    {!include/plugins/eca_flag/condition/eca_flag_entity_is_flagged/flag_name.md!}

`Negate the condition`

:   Negates the condition. Makes TRUE to FALSE and vice versa.

    {!include/plugins/eca_flag/condition/eca_flag_entity_is_flagged/negate.md!}

`Entity`

:   Provide the token name of the <em class="placeholder">entity</em> that this condition should operate with. Please provide the token name only, without brackets.

    {!include/plugins/eca_flag/condition/eca_flag_entity_is_flagged/entity.md!}
