---
title: "Remove entry from migration map"
tags:
- event
- eca_migrate
- eca event 1.0.0
---
# Remove entry from migration map

Available since: 1.0.0



!!! tip "Provided tokens"

    | Token | Description |
    | ----- | ----------- |
    | `[map]` | The map plugin that caused the event to fire. |
    | `[source_id]` | The source ID values. |
    | `[event]` | The event. |
    | `[event:machine_name]` | The machine name of the ECA event. |
    | `[session_user]` | The user account that dispatched the event, regardless if ECA is processing models under a different account. This is only available if ECA is configured to always run under a specific account. |

{!include/plugins/eca_migrate/event/migrate_map_delete.md!}

