---
title: "Migration row saved"
tags:
- event
- eca_migrate
- eca event 1.0.0
---
# Migration row saved

Available since: 1.0.0



!!! tip "Provided tokens"

    | Token | Description |
    | ----- | ----------- |
    | `[migration]` | The migration plugin being run. |
    | `[row]` | The row about to be imported. |
    | `[destination_id_values]` | The row&#039;s destination ID. |
    | `[event]` | The event. |
    | `[event:machine_name]` | The machine name of the ECA event. |
    | `[session_user]` | The user account that dispatched the event, regardless if ECA is processing models under a different account. This is only available if ECA is configured to always run under a specific account. |

{!include/plugins/eca_migrate/event/migrate_post_row_save.md!}

