---
title: "Tamper: String to Unix Timestamp"
tags:
- action
- eca_tamper
- eca_tamper action 1.0.0
---
# Tamper: String to Unix Timestamp

Available since: 1.0.0

This will take a string containing an English date format and convert it into a Unix Timestamp.

{!include/plugins/eca_tamper/action/eca_tamper_strtotime.md!}

## Fields

`Data to be tampered`

:   <br/>This field supports tokens.

    {!include/plugins/eca_tamper/action/eca_tamper_strtotime/eca_data.md!}

`Result token name`

:   Provide a token name under which the tampered result will be made available for subsequent actions.

    {!include/plugins/eca_tamper/action/eca_tamper_strtotime/eca_token_name.md!}
