---
title: "Tamper: Characters to trim"
tags:
- action
- eca_tamper
- eca_tamper action 1.0.0
---
# Tamper: Characters to trim

Available since: 1.0.0

Characters to trim.

{!include/plugins/eca_tamper/action/eca_tamper_trim.md!}

## Fields

`Data to be tampered`

:   <br/>This field supports tokens.

    {!include/plugins/eca_tamper/action/eca_tamper_trim/eca_data.md!}

`Result token name`

:   Provide a token name under which the tampered result will be made available for subsequent actions.

    {!include/plugins/eca_tamper/action/eca_tamper_trim/eca_token_name.md!}

`Characters to trim`

:   The characters to remove from the string. If blank, then whitespace will be removed.

    {!include/plugins/eca_tamper/action/eca_tamper_trim/character.md!}

`Side`

:   

    {!include/plugins/eca_tamper/action/eca_tamper_trim/side.md!}
