---
title: "Tamper: Find replace REGEX"
tags:
- condition
- eca_tamper
- eca_tamper condition 1.0.0
---
# Tamper: Find replace REGEX

Available since: 1.0.0

Find replace REGEX

{!include/plugins/eca_tamper/condition/eca_tamper_condition_find_replace_regex.md!}

## Fields

`Comparison operator`

:   The available comparison operators like <em>equals</em> or <em>less than</em>.<br/>When using the "Defined by token" option, make sure there is a token with this name: <em>eca_tamper_condition:find_replace_regex_operator</em>

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_find_replace_regex/operator.md!}

`Comparison type`

:   The type of the comparison.<br/>When using the "Defined by token" option, make sure there is a token with this name: <em>eca_tamper_condition:find_replace_regex_type</em>

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_find_replace_regex/type.md!}

`Case sensitive comparison`

:   Compare the values based on case sensitivity.

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_find_replace_regex/case.md!}

`Negate the condition`

:   Negates the condition. Makes TRUE to FALSE and vice versa.

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_find_replace_regex/negate.md!}

`REGEX to find`

:   A regular expression in the form: /<your regex here>/

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_find_replace_regex/find.md!}

`Replacement pattern`

:   The replacement pattern.

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_find_replace_regex/replace.md!}

`Limit number of replacements`

:   This sets an optional limit. Leave it blank for no limit.

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_find_replace_regex/limit.md!}

`Data to be tampered`

:   

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_find_replace_regex/left.md!}

`Data to compare with`

:   

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_find_replace_regex/right.md!}
