---
title: "Tamper: Truncate"
tags:
- condition
- eca_tamper
- eca_tamper condition 1.0.0
---
# Tamper: Truncate

Available since: 1.0.0

Truncate

{!include/plugins/eca_tamper/condition/eca_tamper_condition_truncate_text.md!}

## Fields

`Comparison operator`

:   The available comparison operators like <em>equals</em> or <em>less than</em>.<br/>When using the "Defined by token" option, make sure there is a token with this name: <em>eca_tamper_condition:truncate_text_operator</em>

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_truncate_text/operator.md!}

`Comparison type`

:   The type of the comparison.<br/>When using the "Defined by token" option, make sure there is a token with this name: <em>eca_tamper_condition:truncate_text_type</em>

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_truncate_text/type.md!}

`Case sensitive comparison`

:   Compare the values based on case sensitivity.

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_truncate_text/case.md!}

`Negate the condition`

:   Negates the condition. Makes TRUE to FALSE and vice versa.

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_truncate_text/negate.md!}

`Number of characters`

:   The number of characters the text will be limited to.

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_truncate_text/num_char.md!}

`Ellipses`

:   Add ellipses (…) to the end of the truncated text.

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_truncate_text/ellipses.md!}

`Truncate on a word boundary`

:   Attempt to truncate on a word boundary.

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_truncate_text/wordsafe.md!}

`Data to be tampered`

:   

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_truncate_text/left.md!}

`Data to compare with`

:   

    {!include/plugins/eca_tamper/condition/eca_tamper_condition_truncate_text/right.md!}
