---
title: "Current user has permission"
tags:
- condition
- eca_user
- eca condition 1.0.0
---
# Current user has permission

Available since: 1.0.0

Checks, whether the current user has a given permission.

{!include/plugins/eca_user/condition/eca_current_user_permission.md!}

## Fields

`Permission`

:   The permission to check, like <em>administer node display</em>.<br/>When using the "Defined by token" option, make sure there is a token with this name: <em>eca_current_user_permission_permission</em>

    {!include/plugins/eca_user/condition/eca_current_user_permission/permission.md!}

`Negate the condition`

:   Negates the condition. Makes TRUE to FALSE and vice versa.

    {!include/plugins/eca_user/condition/eca_current_user_permission/negate.md!}
