---
title: "User has permission"
tags:
- condition
- eca_user
- eca condition 1.0.0
---
# User has permission

Available since: 1.0.0

Checks, whether a given user account has a given permission.

{!include/plugins/eca_user/condition/eca_user_permission.md!}

## Fields

`User account`

:   The ID of an account or a token with a stored account entity.

    {!include/plugins/eca_user/condition/eca_user_permission/account.md!}

`Permission`

:   The permission to check, like <em>administer node display</em>.<br/>When using the "Defined by token" option, make sure there is a token with this name: <em>eca_user_permission_permission</em>

    {!include/plugins/eca_user/condition/eca_user_permission/permission.md!}

`Negate the condition`

:   Negates the condition. Makes TRUE to FALSE and vice versa.

    {!include/plugins/eca_user/condition/eca_user_permission/negate.md!}
