---
title: "Webform: Get third-party setting"
tags:
- action
- eca_webform
- eca_webform action 2.1.0
---
# Webform: Get third-party setting

Available since: 2.1.0



{!include/plugins/eca_webform/action/eca_webform_get_third_party_setting.md!}

## Fields

`Provider`

:   The machine name of the module that provides the setting.<br/>This field supports tokens.

    {!include/plugins/eca_webform/action/eca_webform_get_third_party_setting/provider.md!}

`Setting name`

:   The machine name of the setting, that holds the value.<br/>This field supports tokens.

    {!include/plugins/eca_webform/action/eca_webform_get_third_party_setting/setting_name.md!}

`Name of token`

:   The setting value will be loaded into this specified token. Please provide the token name only, without brackets.

    {!include/plugins/eca_webform/action/eca_webform_get_third_party_setting/token_name.md!}

`Entity`

:   Provide the token name of the <em class="placeholder">webform</em> that this action should operate with. Please provide the token name only, without brackets.

    {!include/plugins/eca_webform/action/eca_webform_get_third_party_setting/object.md!}
