---
title: "Prompt: set field value with IA"
tags:
- action
- prompt
- prompt action unknown
---
# Prompt: set field value with IA

Available since: unknown

Allows to set, unset or change the value(s) of any field in an entity.

{!include/plugins/prompt/action/prompt_set_field_value.md!}

## Fields

`Field name`

:   The machine name of the field, that should be changed. Example: <em>body.value</em><br/>This field supports tokens.

    {!include/plugins/prompt/action/prompt_set_field_value/field_name.md!}

`Method`

:   The method to set an entity, like cleaning the old one, etc..<br/>When using the "Defined by token" option, make sure there is a token with this name: <em>prompt_set_field_value_method</em>

    {!include/plugins/prompt/action/prompt_set_field_value/method.md!}

`Strip tags`

:   Remove the tags or not.

    {!include/plugins/prompt/action/prompt_set_field_value/strip_tags.md!}

`Trim`

:   Trims the field value or not.

    {!include/plugins/prompt/action/prompt_set_field_value/trim.md!}

`Save entity`

:   Saves the entity or not after setting the value.

    {!include/plugins/prompt/action/prompt_set_field_value/save_entity.md!}

`Prompt Id`

:   The Prompt Id to use. This property supports tokens.

    {!include/plugins/prompt/action/prompt_set_field_value/prompt_id.md!}

`Entity`

:   Provide the token name of the <em class="placeholder">entity</em> that this action should operate with. Please provide the token name only, without brackets.

    {!include/plugins/prompt/action/prompt_set_field_value/object.md!}
