---
title: Resources
tags:
- article
- tutorial
- video
---
# Resources

Here you can find a growing number of articles, tutorial and videos. We also maintain a
[channel on PeerTube](https://tube.tchncs.de/c/eca/videos), where you can subscribe, get notified and comment on all videos.

If you have an article, tutorial or video that should be added, please follow instructions at
[How to contribute](/index.md#how-to-contribute).

## Logos

| Logo                                         | Topic                                                      | Comment                          |
|----------------------------------------------|------------------------------------------------------------|----------------------------------|
| ![eca.png](/images/logos/eca.png)            | [ECA](https://www.drupal.org/project/eca)                  | Main product                     |
| ![eca-bell.png](/images/logos/eca-bell.png)  | ECA Announcement                                           | Official ECA announcements       |
| ![eca-book.png](/images/logos/eca-book.png)  | [ECA Guide](https://ecaguide.org)                          | ECA documentation                |
| ![eca-book2.png](/images/logos/eca-book2.png)| ECA Book                                                   | Anyone writing a book yet?       |
| ![eca-cofe.png](/images/logos/eca-cofe.png)  | ECA Meeting                                                | Meetings of all kinds            |
| ![eca-info.png](/images/logos/eca-info.png)  | ECA Information                                            | Other information about ECA      |
| ![eca-loud.png](/images/logos/eca-loud.png)  | ECA Podcast                                                | There isn't a podcast yet ...    |
| ![eca-tv.png](/images/logos/eca-tv.png)      | [ECA TV](https://tube.tchncs.de/c/eca/videos)              | ECA live sessions, also recorded |
| ![bpmn_io.png](/images/logos/bpmn_io.png)    | [BPMN.io Modeller](https://www.drupal.org/project/bpmn_io) | The BPMN modeller for ECA        |

Thanks to [Nico Grienauer from acolono](https://www.drupal.org/u/grienauer) for providing all the ECA related logos!
